# Method: projects.locations.global.hubs.routeTables.list

- [HTTP request](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables/list#body.request_body)
- [Response body](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables/list#body.ListRouteTablesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables/list#try-it)

Lists route tables in a given hub.

### HTTP request

`GET https://networkconnectivity.googleapis.com/v1/{parent=projects/*/locations/global/hubs/*}/routeTables`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource's name. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networkconnectivity.hubRouteTables.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of results to return per page. |
| `pageToken` | `string` The page token. |
| `filter` | `string` An expression that filters the list of results. |
| `orderBy` | `string` Sort the results by a certain order. |

### Request body

The request body must be empty.

### Response body

Response for `https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables/list#google.cloud.networkconnectivity.v1.HubService.ListRouteTables` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "routeTables": [ { object (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables#RouteTable`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `routeTables[]` | ``object (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1/projects.locations.global.hubs.routeTables#RouteTable`)`` The requested route tables. |
| `nextPageToken` | `string` The token for the next page of the response. To see more results, use this value as the pageToken for your next request. If this value is empty, there are no more results. |
| `unreachable[]` | `string` Hubs that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).